> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Domain

> Retrieves a specific custom domain configuration.

`Unary` · [`Organizations`](https://ona.com/docs/api-reference/generated/organization/overview)

Retrieves a specific custom domain configuration.

Use this method to view custom domain details

### Examples

* Get custom domain configuration:

  Retrieves details of a specific custom domain.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/GetCustomDomain
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.OrganizationService/GetCustomDomain" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "organizationId": "<organization-id>"
}'
```

```python Python theme={null}
import gitpod.v1.organization_pb2 as organization_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = organization_pb2.GetCustomDomainRequest(
    organization_id="<organization-id>",
)
response = ona.services.organization.get_custom_domain(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetCustomDomainRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetCustomDomainRequestSchema, {
    organizationId: "<organization-id>",
  });
  const response = await ona.services.organization.getCustomDomain(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetCustomDomainRequest{
		OrganizationId: "<organization-id>",
	})
	response, err := ona.Services.Organization.GetCustomDomain(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "organizationId": "<organization-id>"
}
```

## Request

`gitpod.v1.GetCustomDomainRequest`

GetCustomDomainRequest is the request message for getting a custom domain

| Field | Type | Required | Description |
| - | - | - | - |
| `organizationId` | string | Yes | organization\_id is the ID of the organization to retrieve custom domain for Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.GetCustomDomainResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `customDomain` | [CustomDomain](#type-gitpod-v1-custom-domain) | Yes | Constraints: `required=true`. |

## Related types

> [accordion] CustomDomain
>
> CustomDomain represents a custom domain configuration for an organization
>
> `gitpod.v1.CustomDomain`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | Yes | id is the unique identifier of the custom domain Constraints: `required=true, string.uuid=true`. |
> | `organizationId` | string | Yes | organization\_id is the ID of the organization this custom domain belongs to Constraints: `required=true, string.uuid=true`. |
> | `domainName` | string | Yes | domain\_name is the custom domain name Constraints: `required=true, string.max_len=253, string.min_len=4`. |
> | `provider` | [CustomDomainProvider](#enum-gitpod-v1-custom-domain-provider) | No | provider is the cloud provider for this custom domain Constraints: `enum.defined_only=true`. |
> | `awsAccountId` | string | No | **Deprecated.** aws\_account\_id is the AWS account ID (deprecated: use cloud\_account\_id) |
> | `createdAt` | RFC 3339 timestamp | Yes | created\_at is when the custom domain was created Constraints: `required=true`. |
> | `updatedAt` | RFC 3339 timestamp | Yes | updated\_at is when the custom domain was last updated Constraints: `required=true`. |
> | `cloudAccountId` | string | No | cloud\_account\_id is the unified cloud account identifier (AWS Account ID or GCP Project ID) |

> [accordion] CustomDomainProvider
>
> CustomDomainProvider represents the cloud provider for custom domain configuration
>
> | Value | Number | Description |
> | - | -: | - |
> | `CUSTOM_DOMAIN_PROVIDER_UNSPECIFIED` | 0 | |
> | `CUSTOM_DOMAIN_PROVIDER_AWS` | 1 | |
> | `CUSTOM_DOMAIN_PROVIDER_GCP` | 2 | |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.